//
// Copyright (c) 2012, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;
using System.Drawing;


namespace MindFusion.Diagramming.WinForms.Samples.CS.FlowCharter
{
	/// <summary>
	/// Summary description for ColorPicker.
	/// </summary>
	public class ColorPicker : Button
	{
		public ColorPicker()
		{
		}

		protected override void OnPaint(PaintEventArgs e)
		{
			base.OnPaint(e);

			SolidBrush b;
			Pen p;
			Rectangle r;
			
			r = this.Bounds;
			r.Offset(-r.Left, -r.Top);
			b = new SolidBrush(Color);
			p = new Pen(Color.Black, 0);

			r.Width -= 1;
			r.Height -= 1;

			e.Graphics.FillRectangle(b, r);
			e.Graphics.DrawRectangle(p, r);

			p.Dispose();
			b.Dispose();
		}


		public Color Color
		{
			get
			{
				return _color;
			}
			set
			{
				_color = value;
				Invalidate();
			}
		}


		private Color _color;
	}
}
